Summary: GNU grep, egrep and fgrep.
Name: hhl-target-grep
Version: 2.4.2
Release: %{_hhl_build_id}.1
Copyright: GPL
Group: base
Source: grep-%{version}.tar.gz
Source1: grep.tmpl
Source2: grep-rgrep.tmpl
Patch: grep-%{version}-diff
%define pkgname hhl-%{_hhl_target_arch}-grep
Buildroot: %{_tmppath}/%{pkgname}-root
%define targetroot %{_hhl_cross_target_dir}
Prefix: %{targetroot}

%define _bindir		%{targetroot}%{_hhl_target_bin_dir}
%define _mandir		%{targetroot}%{_hhl_target_man_dir}
%define _docdir		%{targetroot}%{_hhl_target_doc_dir}
%define _datadir	%{targetroot}%{_hhl_target_sharedstate_dir}
%define _infodir	%{targetroot}%{_hhl_target_info_dir}

%description
The GNU family of grep utilities may be the "fastest grep in the west".
GNU grep is based on a fast lazy-state deterministic matcher (about
twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
search for a fixed string that eliminates impossible text from being
considered by the full regexp matcher without necessarily having to
look at every character. The result is typically many times faster
than Unix grep or egrep. (Regular expressions containing backreferencing
will run more slowly, however.)

# grep
%package -n %{pkgname}
Summary: GNU grep, egrep and fgrep.
Group: base
AutoReqProv: no
%description -n %{pkgname}
The GNU family of grep utilities may be the "fastest grep in the west".
GNU grep is based on a fast lazy-state deterministic matcher (about
twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
search for a fixed string that eliminates impossible text from being
considered by the full regexp matcher without necessarily having to
look at every character. The result is typically many times faster
than Unix grep or egrep. (Regular expressions containing backreferencing
will run more slowly, however.)

%package -n %{pkgname}-rgrep
Summary: GNU grep, egrep and fgrep.
Group: base
AutoReqProv: no
Conflicts: hhl-%{_hhl_target_arch}-jed-rgrep
%description -n %{pkgname}-rgrep
The GNU family of grep utilities may be the "fastest grep in the west".
GNU grep is based on a fast lazy-state deterministic matcher (about
twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
search for a fixed string that eliminates impossible text from being
considered by the full regexp matcher without necessarily having to
look at every character. The result is typically many times faster
than Unix grep or egrep. (Regular expressions containing backreferencing
will run more slowly, however.)

This provides rgrep.

%prep
%target_check
%setup -q -n grep-%{version}
%patch -p1

%build
%target_setup
%target_configure
%make

%install
rm -rf %{buildroot}
%target_setup
%target_makeinstall exec_prefix=%{buildroot}%{targetroot}
gzip -9 %{buildroot}%{_mandir}/man1/grep.1
ln -s grep.1.gz %{buildroot}%{_mandir}/man1/egrep.1.gz
ln -s grep.1.gz %{buildroot}%{_mandir}/man1/fgrep.1.gz
gzip -9 %{buildroot}%{_infodir}/grep.info

install -d  %{buildroot}%{targetroot}/bin
mv %{buildroot}%{_bindir}/* %{buildroot}%{targetroot}/bin/
install -m 755 ../debian/rgrep %{buildroot}%{_bindir}/rgrep
ln -s grep.1.gz %{buildroot}%{_mandir}/man1/rgrep.1.gz
cd ..
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/grep
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/grep-rgrep

%clean
rm -rf %{buildroot}

%files -n %{pkgname}-rgrep
%defattr(-,root,root)
%{_bindir}/rgrep
%{_mandir}/man1/rgrep.1.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/grep-rgrep
%doc LICENSE
%files -n %{pkgname}
%defattr(-,root,root)
%{targetroot}/bin/grep
%{targetroot}/bin/egrep
%{targetroot}/bin/fgrep
%{_datadir}/locale/*/*/*
%{_infodir}/grep.info.gz
%{_mandir}/man1/egrep.1.gz
%{_mandir}/man1/fgrep.1.gz
%{_mandir}/man1/grep.1.gz
%doc LICENSE


%doc ChangeLog TODO NEWS README
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/grep

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Feb 12 2001 Matthew McLean <source@mvista.com>
- First cut
